Welcome! Log In Create A New Profile

Advanced

[PHP] Moodle Problem with libgd compiled.

Posted by Rodrigo Cunha 
Rodrigo Cunha
[PHP] Moodle Problem with libgd compiled.
January 09, 2017 04:20AM
Dears,

i make lib-gd with option(./configure) "--with-gd" but not work. I Download
the lib in website and compile this, but

my ./configure php displayed a stdout:

"

If configure fails try --with-vpx-dir=<DIR>

If configure fails try --with-jpeg-dir=<DIR>

configure: error: png.h not found.

"

I installing the lib-gd with command

#apt-get install php5-gd

but i the new configure setting not work to.I find the lib installing in my
environment and

the lib found in path:/usr/lib/x86_64-linux-gnu/.

I want installing this lib easyli with command apt-get and setting the
../configure setting with path for this.

My configure:

../configure --prefix=/usr/local/httpd-2.4.23/php
--with-apxs2=/usr/local/httpd-2.4.23/bin/apxs \

--with-config-file-path=/usr/local/httpd-2.4.23/php --with-mysql
--enable-embedded-mysqli --enable-mbstring \

--enable-bcmath --enable-calendar --enable-dba --enable-exif --enable-ftp
--enable-shmop --enable-soap --enable-sockets \

--enable-sysvmsg --enable-sysvsem --enable-sysvshm --enable-wddx
--enable-opcache --enable-zip --enable-pcntl \

--with-mysql=mysqlnd --with-mysqli=mysqlnd --with-pdo-mysql=mysqlnd
--with-zlib-dir=/usr/local/zlib/ \

--with-mhash=/usr/local/mhash --with-gettext=/usr/local/gettext
--with-curl=/usr/local/curl-7.52.1/ \

--with-gd=/usr/lib/x86_64-linux-gnu/
--with-jpeg-dir=/usr/lib/x86_64-linux-gnu/
--with-vpx-dir=/usr/lib/x86_64-linux-gnu/

PS: The PHP and Apache work fine, i load wikimedia and phpmyadmin in this
enviroment, but my moodle need this gd library.

Regards,


--
Atenciosamente,
Rodrigo da Silva Cunha
São Gonçalo, RJ - Brasil
Christoph M. Becker
[PHP] Re: Moodle Problem with libgd compiled.
January 09, 2017 03:30PM
On 09.01.2017 at 04:16, Rodrigo Cunha wrote:

> i make lib-gd with option(./configure) "--with-gd" but not work. I Download
> the lib in website and compile this, but
>
> my ./configure php displayed a stdout:
>
> "
>
> If configure fails try --with-vpx-dir=<DIR>
>
> If configure fails try --with-jpeg-dir=<DIR>
>
> configure: error: png.h not found.ls

Apparently, libpng is not installed. You can install it with

apt-get install libpng-dev

> I installing the lib-gd with command
>
> #apt-get install php5-gd
>
> but i the new configure setting not work to.I find the lib installing in my
> environment and
>
> the lib found in path:/usr/lib/x86_64-linux-gnu/.
>
> I want installing this lib easyli with command apt-get and setting the
> ../configure setting with path for this.
>
> My configure:
>
> --with-gd=/usr/lib/x86_64-linux-gnu/
> --with-jpeg-dir=/usr/lib/x86_64-linux-gnu/
> --with-vpx-dir=/usr/lib/x86_64-linux-gnu/

That can't work, because the DIR has to contain the library as well as
the headers. Try

--with-gd=/usr

You don't need the other config options (--with-jpeg-dir,
--with-vpx-dir) if you're building against an external libgd, by the way.

--
Christoph M. Becker


--
PHP General Mailing List (http://www.php.net/)
To unsubscribe, visit: http://www.php.net/unsub.php
Sorry, only registered users may post in this forum.

Click here to login